summary refs log tree commit diff
path: root/.ci
diff options
context:
space:
mode:
authorJoseph Donofry <joedonofry@gmail.com>2021-11-15 11:19:04 -0500
committerJoseph Donofry <joedonofry@gmail.com>2021-11-15 11:19:04 -0500
commit969ae80cfb7c3533183df80bd43e5c624c9bcf54 (patch)
tree8646ee49ef7558cee2b41821cf27971c1d6e9c0b /.ci
parentMerge pull request #812 from Nheko-Reborn/jdenticon-packaging (diff)
downloadnheko-969ae80cfb7c3533183df80bd43e5c624c9bcf54.tar.xz
Try to fix notarization issues
Diffstat (limited to '.ci')
-rwxr-xr-x.ci/macos/notarize.sh19
1 files changed, 15 insertions, 4 deletions
diff --git a/.ci/macos/notarize.sh b/.ci/macos/notarize.sh
index ca8646be..111610a8 100755
--- a/.ci/macos/notarize.sh
+++ b/.ci/macos/notarize.sh
@@ -19,12 +19,23 @@ security unlock-keychain -p "${RUNNER_USER_PW}" login.keychain
   # mkdir -p nheko.app/Contents/Frameworks
   # find "${ICU_LIB}" -type l -name "*.dylib" -exec cp -a -n {} nheko.app/Contents/Frameworks/ \; || true
 
-  macdeployqt nheko.app -dmg -always-overwrite -qmldir=../resources/qml/ -sign-for-notarization="${APPLE_DEV_IDENTITY}"
+  #macdeployqt nheko.app -dmg -always-overwrite -qmldir=../resources/qml/ -sign-for-notarization="${APPLE_DEV_IDENTITY}"
+  macdeployqt nheko.app -always-overwrite -qmldir=../resources/qml/
 
-  user=$(id -nu)
-  chown "${user}" nheko.dmg
+  # user=$(id -nu)
+  # chown "${user}" nheko.dmg
 )
 
+echo "[INFO] Signing app contents"
+find "build/nheko.app/Contents"|while read fname; do
+    if [[ -f $fname ]]; then
+        echo "[INFO] Signing $fname"
+        codesign --force --timestamp --options=runtime --sign "${APPLE_DEV_IDENTITY}" "$fname"
+    fi
+done
+
+codesign --force --timestamp --options=runtime --sign "${APPLE_DEV_IDENTITY}" "build/nheko.app"
+
 NOTARIZE_SUBMIT_LOG=$(mktemp -t notarize-submit)
 NOTARIZE_STATUS_LOG=$(mktemp -t notarize-status)
 
@@ -59,7 +70,7 @@ while sleep 60 && date; do
   if [ -n "${isFailure}" ]; then
       echo "Notarization failed"
       cat "$NOTARIZE_STATUS_LOG" 1>&2
-      return 1
+      exit 1
   fi
   echo "Notarization not finished yet, sleep 1m then check again..."
 done